Package it.ernytech.tdlib

## Class TdApi.UpdateMessageSendAcknowledged

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateMessageSendAcknowledged

Enclosing class:
  TdApi

    public static class TdApi.UpdateMessageSendAcknowledged
    extends TdApi.Update

A request to send a message has reached the Telegram server. This doesn't mean that the message will be sent successfully or even that the send message request will be processed. This update will be sent only if the option "useQuickAck" is set to true. This update may be sent multiple times for the same message.

### Field Summary

Fields
`long` `chatId` The chat identifier of the sent message.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `messageId` A temporary message identifier.

### Constructor Summary

Constructors
`UpdateMessageSendAcknowledged()` Default constructor.
`UpdateMessageSendAcknowledged​(long chatId, long messageId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chatId

    public long chatId

The chat identifier of the sent message.

#### messageId

    public long messageId

A temporary message identifier.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateMessageSendAcknowledged

    public UpdateMessageSendAcknowledged()

Default constructor.

#### UpdateMessageSendAcknowledged

    public UpdateMessageSendAcknowledged​(long chatId,
                                         long messageId)

Constructor for initialization of all fields.

Parameters:
  `chatId` - The chat identifier of the sent message.
  `messageId` - A temporary message identifier.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR